\version "2.18.0"
% automatically converted by musicxml2ly from gloria.xml
% -*- output: MSDM;

globalStaffSize = #16

#(set-global-staff-size globalStaffSize)
#(ly:set-option 'midi-extension "mid")
\pointAndClickOff


\include "MSDM_global_layout.ly"
\include "colouration.ly"

ficta = {
  \once \set suggestAccidentals = ##t
  \once \accidentalStyle dodecaphonic
}

it = \override LyricText.font-shape = #'italic
rec = \override LyricText.font-shape = #'upright

%{
slurStart = #(make-span-event 'SlurEvent START)
slurEnd = #(make-span-event 'SlurEvent STOP)
"(" = \melisma
")" = \melismaEnd
%}

date = #(strftime "%d-%m-%Y" (localtime (current-time)))
myFooter = \markup \small {
  \concat {
    "Robert Carver: "
    \italic { "Missa dum sacrum mysterium" }
    % \italic { \pieceTitle }
    ", edited by Vaughan McAlley. Version of "
    \date
  }
}

\include "DSM_Plainchant.ly"

\include "MSDM_Gloria.ly"
\include "MSDM_Credo.ly"
\include "MSDM_Sanctus.ly"
\include "MSDM_Agnus.ly"

\paper {
  #(set-paper-size "a4")
  #(include-special-characters)
  top-margin = 20\mm
  bottom-margin = 20\mm
  left-margin = 19\mm
  right-margin = 19\mm
  markup-system-spacing #'padding = #3
  score-system-spacing =
  #'((basic-distance . 15)
     (minimum-distance . 15)
     (padding . 9)
     (stretchability . 12))

  system-system-spacing #'basic-distance = #16
  system-system-spacing #'stretchability = #5
  %last-bottom-spacing #'minimum-distance = 12\mm
  ragged-last-bottom = ##t
  %systems-per-page = #2

  %print-all-headers = ##t
  oddHeaderMarkup = \markup \null
  evenHeaderMarkup = \markup \null
  evenFooterMarkup = \markup {
    \fill-line {
      {
        \huge \sans \bold {
          \on-the-fly #print-page-number-check-first
          \fromproperty #'page:page-number-string
        }
      }
      \on-the-fly #not-first-page \myFooter
      " "
    }
  }
  oddFooterMarkup = \markup {
    \fill-line {
      {
        " "
        \myFooter
        \huge \sans \bold {
          \on-the-fly #print-page-number-check-first
          \fromproperty #'page:page-number-string
        }
      }
    }
  }
  tocItemMarkup = \markup {
    \fill-with-pattern #1 #RIGHT .
    \concat { "                                                " \fromproperty #'toc:text }
    \concat { \fromproperty #'toc:page "                                                " }
  }
  first-page-number = #1
  %print-first-page-number = ##f
  system-separator-markup = \slashSeparator
}


%{
convert-ly (GNU LilyPond) 2.18.2  convert-ly: Processing `'...
Applying conversion: 2.17.0, 2.17.4, 2.17.5, 2.17.6, 2.17.11, 2.17.14,
2.17.15, 2.17.18, 2.17.19, 2.17.20, 2.17.25, 2.17.27, 2.17.29,
2.17.97, 2.18.0
%}
