\version "2.18.0"
% The next line makes Frescobaldi compile a different file
% -*- master: MSDM.ly;

#(set-global-staff-size globalStaffSize)

global = {
  \compressFullBarRests
  \override MultiMeasureRest.expand-limit = #1

  \key g \dorian
  \time 3/1
  \set Staff.timeSignatureFraction = #'(3 . 4)

  \skip \breve.*62 \showMultiRests
  \skip \breve.*11
  \noBreak
  \skip \breve. \hideMultiRests
  \bar "||"
  \time 2/1
  \set Staff.timeSignatureFraction = #'(4 . 4)
  \skip \breve \noBreak
  \skip \breve*36
  \showMultiRests
  \skip \breve*53
  \bar "|."
}

PartPOneVoiceOne = \relative b' {
  R\breve.*21 | % 4
  r1 r b | % 23
  b2 b a2. \melisma b8 c d1 \melismaEnd | % 24
  c d2 f1 \melisma e2 | % 25
  d c b1 \melismaEnd g ~ | % 26
  g2 \melisma a4 b c1 r2 c \melismaEnd | % 27
  f\breve \melisma e1 ~ | % 28
  e2 d c\breve \melismaEnd | % 29
  b1 g2 g a1 | \barNumberCheck #30
  g2 \melisma d'2. c8 d c4 b8 a b2 g | % 31
  a4 g a \ficta fis \melismaEnd g2 d2. \melisma e4 \ficta f g | % 32
  a2 b4 c d1 \melismaEnd r2 a | % 33
  c\breve b1 ~ | % 34
  b2 \melisma a4 g f2. g4 a1 \melismaEnd | % 35
  d,4 \melisma e f g a2. g4 f2 g | % 36
  a g a4 g \ficta fis e \ficta fis1 \melismaEnd | % 37
  g r2 d'1 d2 | % 38
  g1. \melisma f4 e f e d c | % 39
  d1 \melismaEnd bes2 bes d1 | \barNumberCheck #40
  g,2 \melisma bes1 a4 g \melismaEnd d'1 | % 41
  r2 f1 \melisma e4 d c2 a \melismaEnd | % 42
  c\breve r2 a | % 43
  a1 r d2 d | % 44
  f1 r2 g g1 | % 45
  r2 d1 d2 bes g | % 46
  r d' f2. f4 f2 f | % 47
  R\breve. | % 48
  g1. g2 g g | % 49
  c, a1 d1. | \barNumberCheck #50
  d1 r r | % 51
  d1. d2 d1 | % 52
  bes2 g r d' f1 ~ | % 53
  f e2 e d1 ~ | % 54
  d2 \melisma c4 bes a1 \melismaEnd c2. \melisma bes8 c | % 55
  d2. c4 bes2 \melismaEnd g d' \melisma c4 bes | % 56
  c bes a g c2 d \melismaEnd bes1 | % 57
  a2 a d1 r2 c \melisma | % 58
  e2. d8 e f2 d1 c4 bes | % 59
  a2 d1. c2 \melismaEnd e | \barNumberCheck #60
  r a, c \melisma bes4 a bes c d2 ~ | % 61
  d4 c bes a g2 d \melismaEnd f2. \melisma e4 |
  f g a2. bes8 c d1 e2 | % 63
  d2 g1 \ficta fis4 e \ficta fis1 \melismaEnd | % 64
  g\breve r2 d ~ | % 65
  d d g2. \melisma f4 e d e2 \melismaEnd | % 66
  f \melisma e4 d c2 \melismaEnd a1 r2 | % 67
  d e4 \melisma f \melismaEnd g1 r2 e ~ | % 68
  e4 \melisma f g1. c,1 | % 69
  f2 e4 d e d c bes a2 e' ~ | \barNumberCheck #70
  e c g'1. f4 e \melismaEnd | % 71
  d\breve r1 | % 72
  r2 d1. bes1 | % 73
  g r2 d' d1 ~ | % 74
  d\breve. \fermata | % 75
  R\breve*13 | % 88
  d\breve | % 89
  g1 g | \barNumberCheck #90
  f1. \melisma e4 d \melismaEnd | % 91
  e1 \melisma d ~ | % 92
  d2 c b1 \melismaEnd | % 93
  a\breve | % 94
  r1 d | % 95
  f\breve | % 96
  d2 d d1 ~ | % 97
  d d | % 98
  bes!\breve | % 99
  g1 g | \barNumberCheck #100
  c\breve | % 101
  bes | % 102
  R\breve*9 | % 111
  d\breve | % 112
  g | % 113
  d1 bes | % 114
  c1. c2 | % 115
  f\breve | % 116
  r2 g1 \melisma f4 e | % 117
  f e d c f2 e4 d | % 118
  e d c bes c2 \melismaEnd g | % 119
  r g'1 g2 | \barNumberCheck #120
  g1 d | % 121
  r2 f1. | % 122
  d\breve | % 123
  r2 a1 a2 | % 124
  bes d1 d2 ~ | % 125
  d4 \melisma c bes a bes2 \melismaEnd g | % 126
  r c1 c2 \melisma | % 127
  f\breve \melismaEnd | % 128
  R\breve*2 | \barNumberCheck #130
  f1 c | % 131
  g'1. \melisma f4 e | % 132
  f e d c d1 \melismaEnd | % 133
  R\breve | % 134
  d1 g ~ | % 135
  g2 g f2. \melisma e4 | % 136
  d c d2 \melismaEnd a1 | % 137
  d r2 g ~ | % 138
  g \melisma f4 e f e d c \melismaEnd | % 139
  d1 r2 f ~ | \barNumberCheck #140
  f f1 c2 ~ | % 141
  c d \melisma e \melismaEnd c | % 142
  g'1 g2 d ~ | % 143
  d bes bes f | % 144
  d'1 r2 c \melisma | % 145
  f1 e2 d4 c | % 146
  e d e f \melismaEnd g1 ~ | % 147
  g2 d1. \melisma | % 148
  bes2 g r d' ~ | % 149
  d g, c d4 e | \barNumberCheck #150
  f2 d \melismaEnd g1 | % 151
  R\breve*4 | % 155
  r1 f~ | % 156
  f \melisma c ~ | % 157
  c a2 d ~ | % 158
  d e4 f g1 ~ | % 159
  g \melismaEnd d ~ | \barNumberCheck #160
  d\breve ~ | % 161
  d1 r | % 162
  r2 g \melisma e c \melismaEnd | % 163
  g'1 r2 d | % 164
  d\breve \fermata | % 165

}

PartPTwoVoiceOne = \relative a' {
  R\breve. | % 2
  r1 a\breve | % 3
  c1. c2 bes1 | % 4
  a1. g2 \melisma f1 | % 5
  e \melismaEnd r2 g c1 ~ | % 6
  c bes1. \melisma a4 g | % 7
  f2 d2. e4 f g a1 ~ | % 8
  a g \melismaEnd \[ d \melisma | % 9
  f \melismaEnd \] r e \melisma | \barNumberCheck #10
  g1. f4 e d1 ~ | % 11
  d2 c bes1 a \melismaEnd | % 12
  g r c \melisma | % 13
  \[ a\breve d1 ~ | % 14
  d g\breve \melismaEnd \] | % 15
  f r2 a ~ | % 16
  a1 \melisma g \melismaEnd bes | % 17
  r g2. \melisma a8 bes c2 \melismaEnd c ~ | % 18
  c4 \melisma bes a g f1 \melismaEnd r2 a ~ | % 19
  a4 \melisma g a bes \melismaEnd c1 bes | \barNumberCheck #20
  a\breve r2 g \melisma | % 21
  f2. e4 \melismaEnd d2 g1 \melisma \ficta fis2 \melismaEnd | % 22
  g\breve r1 | % 23
  R\breve.*14 | % 28
  r2 g1 g2 g1 ~ | % 38
  g bes1. bes2 | % 39
  g d1. f1 | \barNumberCheck #40
  r2 g d g1 \melisma f4 e | % 41
  a2. bes4 c2 bes4 a bes a g f | % 42
  g2 \melismaEnd e a2. a4 c1 ~ | % 43
  c2 c f,\breve | % 44
  r1 bes1. bes2 | % 45
  g g g1 r2 bes ~ |
  bes bes bes \melisma a4 g a g f e |
  d e f g a2. g4 a g a \ficta fis \melismaEnd| % 48
  g1 d2 d g d | % 49
  r f\breve d2 ~ | \barNumberCheck #50
  d \melisma e f2. g4 a2 \melismaEnd d, | % 51
  g\breve r1 | % 52
  R\breve.*12 | % 64
  bes1. \melisma g1 \melismaEnd d2 | % 65
  g\breve r2 e \melisma | % 66
  a1. g4 f c'1 ~ | % 67
  c2 bes4 a bes1 c2. bes4 | % 68
  a e g1 d2 g c ~ | % 69
  c bes4 a bes a g f a2 g | \barNumberCheck #70
  e2. f4 g2 d1 g2 ~ | % 71
  g bes1 a4 g a g f e \melismaEnd | % 72
  d1 r r | % 73
  r2 d d\breve ~ | % 74
  d\breve. \fermata | % 75
  R\breve*5 | \barNumberCheck #80
  r1 f ~ | % 81
  f a ~ | % 82
  a g ~ | % 83
  g2 \melisma f4 e f e d c | % 84
  d1 \melismaEnd r2 a' | % 85
  c1 c | % 86
  f,2. \melisma g4 a1 \melismaEnd | % 87
  b\breve | % 88
  R\breve*24 | % 112
  bes!\breve | % 113
  g1 g | % 114
  r2 a1 c2 ~ | % 115
  c c f, r | % 116
  bes \melisma g2. a4 bes2 | % 117
  c\breve \melismaEnd | % 118
  g | % 119
  r2 bes2. \melisma a4 g f \melismaEnd | \barNumberCheck #120
  g2 d1 d2 | % 121
  f1. \melisma g4 a | % 122
  bes\breve \melismaEnd | % 123
  a1 r | % 124
  bes1. bes2 | % 125
  g1 g | % 126
  c2. \melisma bes4 a2 g | % 127
  f2. e4 \melismaEnd d1 | % 128
  r2 g1. | % 129
  c,1 r2 c' ~ | \barNumberCheck #130
  c a1 a2 | % 131
  g bes1 \melisma a4 g | % 132
  a g f e \melismaEnd d \melisma e f g | % 133
  a2. g8 a g2 \melismaEnd c | % 134
  bes2. \melisma a4 g2 f4 e | % 135
  d2 \melismaEnd g r1 | % 136
  a\breve | % 137
  a1 bes2. \melisma a4 | % 138
  g2. f4 e2 \melismaEnd c | % 139
  r1 f | \barNumberCheck #140
  a2 c1 a2 ~ | % 141
  a4 g f2 e g ~ | % 142
  g g bes2. \melisma a4 | % 143
  g2 d f g4 a | % 144
  bes1 \melismaEnd a ~ | % 145
  a2 \melisma g4 f a2 bes | % 146
  c1 \melismaEnd bes | % 147
  r2 bes1 \melisma a2 | % 148
  g f4 e d1 ~ | % 149
  d r2 f ~ | \barNumberCheck #150
  f1 d2 g ~ | % 151
  g bes \melismaEnd f1 ~ | % 152
  f r2 g \melisma | % 153
  d2. c4 \melismaEnd c1 ~ | % 154
  c \melisma e2 c | % 155
  g' \melismaEnd r a2. \melisma g4 | % 156
  f2 c1 \melismaEnd c2 | % 157
  r c \melisma f1 ~ | % 158
  f d2 g ~ | % 159
  g1 \melismaEnd bes ~ | \barNumberCheck #160
  bes r2 a ~ | % 161
  a \melisma f a1 \melismaEnd | % 162
  g r | % 163
  g g ~ | % 164
  g\breve \fermata | % 165
}

PartPThreeVoiceOne = \relative g {
  g\breve d'1 ~ | % 2
  d f\breve | % 3
  c d1 ~ | % 4
  d a1. \melisma b2 \melismaEnd | % 5
  c2. \melisma b4 a2 \melismaEnd g \melisma a4 g \ficta fis e | % 6
  \ficta fis1 \melismaEnd g d2. \melisma e4 | % 7
  f2 g \melismaEnd a1. \melisma b4 c | % 8
  d2. c4 bes!1 \[ g | % 9
  f \] \melismaEnd r r | \barNumberCheck #10
  e g1. \melisma f4 e | % 11
  d1 \melismaEnd g2. \melisma f4 e1 ~ | % 12
  e2 f4 g a1. g2 | % 13
  f\breve \[ g1 | % 14
  d \melismaEnd \] d'\breve ~ | % 15
  d c1 | % 16
  a bes!2 \melisma g2. a4 bes c | % 17
  d2 bes \melismaEnd c\breve | % 18
  r2 c \melisma a bes4 c d1 \melismaEnd | % 19
  a\breve d,2. \melisma e4 | \barNumberCheck #20
  f2 g a1 \melismaEnd d ~ | % 21
  d r2 d d d | % 22
  b1 r r | % 23
  R\breve.*14 | % 28
  r1 r d ~ | % 38
  d2 d bes\breve | % 39
  r2 g4 g d'1 d2 d ~ | \barNumberCheck #40
  d d, g1 g | % 41
  e2 a1 a2 g1 | % 42
  r c1. \melisma d4 e | % 43
  f\breve bes,2 d ~ | % 44
  d4 c bes a bes2 g \melismaEnd d' d ~ | % 45
  d d d g, d1 | % 46
  r2 d d d a'1 | % 47
  f2 f c' a r d ~ | % 48
  d4 \melisma c bes! a bes2 \melismaEnd g2. \melisma a4 bes2 \melismaEnd | % 49
  c1. \melisma a | \barNumberCheck #50
  g1 r2 a d1 \melismaEnd | % 51
  bes\breve r1 | % 52
  R\breve.*12 | % 64
  d1. d2 bes2. \melisma a4 | % 65
  g1 \melismaEnd r2 e'1 \melisma c2 | % 66
  f1. e4 d c1 | % 67
  \[ bes g \melismaEnd \] c | % 68
  r d \melisma c4 bes \melismaEnd a \melisma g \melismaEnd | % 69
  a1 r2 f4 \melisma g a b \melismaEnd c2 ~ | \barNumberCheck #70
  c bes! \melisma d2. c4 bes2 g ~ | % 71
  g d'1 \melismaEnd bes2 c \melisma bes4 c | % 72
  d1 \melismaEnd r r | % 73
  r2 d1. \melisma b2 g \melismaEnd | % 74
  d'\breve. \fermata | % 75
  d\breve | % 76
  b1 g | % 77
  d' e | % 78
  f1. \melisma e4 d | % 79
  c2. b8 c d1 | \barNumberCheck #80
  c a ~ | % 81
  a \melismaEnd f ~ | % 82
  f e | % 83
  g1. g2 | % 84
  b1 a | % 85
  r2 e \melisma \[ f1 | % 86
  d \] d' \melismaEnd | % 87
  d\breve | % 88
  R | % 89
  r1 g, | \barNumberCheck #90
  bes! a ~ | % 91
  a r | % 92
  d d ~ | % 93
  d a | % 94
  \ficta bes2. \melisma a4 \melismaEnd g1 | % 95
  f\breve | % 96
  g2 g bes!1 | % 97
  a\breve | % 98
  g1 d' | % 99
  r2 d, \melisma e g | \barNumberCheck #100
  a4 g \ficta fis e \ficta fis1 \melismaEnd | % 101
  g\breve | % 102
  R\breve*4 | % 106
  d'1 \melisma e | % 107
  c1. d4 e | % 108
  f2. e4 d2 c | % 109
  bes1 r2 g | \barNumberCheck #110
  f1 d | % 111
  d'\breve \melismaEnd | % 112
  bes | % 113
  r2 d1 d2 | % 114
  r c1 a2 ~ | % 115
  a f \melisma a1 | % 116
  bes1. \melismaEnd a4 \melisma g \melismaEnd | % 117
  a2 c1 c2 ~ | % 118
  c \melisma bes4 a g1 \melismaEnd | % 119
  d' d | \barNumberCheck #120
  d\breve | % 121
  f,2. g4 \melisma a2 \ficta fis \melismaEnd | % 122
  g1 r2 d' ~ | % 123
  d d d1 | % 124
  d d | % 125
  d d, | % 126
  f f | % 127
  f\breve | % 128
  g | % 129
  a1. a2 | \barNumberCheck #130
  a\breve | % 131
  r2 d1 d2 | % 132
  f\breve | % 133
  e1. \melisma d4 c | % 134
  d c bes a d1 \melismaEnd | % 135
  g,2 g d1 | % 136
  R\breve | % 137
  r1 d | % 138
  d2 d e2. c4 | % 139
  g'1 r | \barNumberCheck #140
  f2. \melisma g4 a2 f \melismaEnd | % 141
  a bes c1 ~ | % 142
  c bes | % 143
  d1. \melisma c4 bes | % 144
  c bes a g a2 \melismaEnd c ~ | % 145
  c \melisma d e2. d4 | % 146
  c bes a2 \melismaEnd d1 ~ | % 147
  d2 \melisma c bes g \melismaEnd | % 148
  r d'1. \melisma | % 149
  d,2. e4 f g a2 ~ | \barNumberCheck #150
  a4 bes c d bes2 \melismaEnd d ~ | % 151
  d d, \melisma a'2. g4 | % 152
  \ficta fis e \ficta fis2 \melismaEnd g1 | % 153
  r2 g \melisma a \melismaEnd c ~ | % 154
  c4 \melisma bes a2 \melismaEnd r g \melisma | % 155
  d' c \melismaEnd c1 ~ | % 156
  c2 a1 \melisma f2 | % 157
  a1 \melismaEnd d ~ | % 158
  d\breve ~ | % 159
  d1 r2 bes ~ | \barNumberCheck #160
  bes1 \melisma a ~ | % 161
  a \melismaEnd c | % 162
  r2 g \melisma a c | % 163
  \ficta b \melismaEnd g r d' ~ | % 164
  d1 d1 \fermata | % 165
}

PartPFourVoiceOne = \relative g {
  R\breve.*36 |
  r1 g1. g2 | % 38
  g\breve g2 g2 | % 39
  d\breve r2 d2 | \barNumberCheck #40
  d1 d1 d1 | % 41
  R\breve. | % 42
  r1 f1. f2 | % 43
  f1 f1 f1 | % 44
  f1 g\breve | % 45
  g1. g2 g1 | % 46
  r1 r1 a1 ~ | % 47
  a\breve. | % 48
  g\breve r1 | % 49
  a\breve a1 | \barNumberCheck #50
  r1 a\breve | % 51
  g\breve. ~ | % 52
  g1 \melisma a1 \melismaEnd a1 ~ | % 53
  a1 \melisma g\breve \melismaEnd | % 54
  g1 r2 f1. ~ | % 55
  f2 f2 g1 g2 \melisma a2 ~ | % 56
  a1. \melismaEnd a2 g1 | % 57
  a\breve c1 ~ | % 58
  c1 bes\breve | % 59
  r2 a\breve c2 ~ | \barNumberCheck #60
  c1. c2 \melisma bes1 ~ | % 61
  bes\breve \melismaEnd a1 ~ | % 62
  a\breve. | % 63
  r1 a\breve | % 64
  g\breve. ~ | % 65
  g\breve. | % 66
  a\breve. | % 67
  g\breve \melisma e1 ~ | % 68
  e1 g\breve | % 69
  f\breve \[ e1 ~ | \barNumberCheck #70
  e1 d\breve \melismaEnd \] | % 71
  g\breve r1 | % 72
  r1 r1 g1 | % 73
  g\breve.~ | % 74
  g\breve. \fermata | % 75
  R\breve*37 |
  g\breve | % 113
  g\breve | % 114
  a\breve | % 115
  a\breve | % 116
  g1. g2 | % 117
  f1 f1 | % 118
  g\breve | % 119
  g1. g2 | \barNumberCheck #120
  g\breve | % 121
  a1 r1 | % 122
  g\breve \melisma | % 123
  f\breve \melismaEnd | % 124
  R\breve*2 | % 126
  a\breve | % 127
  R\breve*2 | % 129
  c1. c2 | \barNumberCheck #130
  c\breve | % 131
  bes\breve | % 132
  a1 a1 | % 133
  c\breve | % 134
  g\breve ~ | % 135
  g1 r2 a2 ~ | % 136
  a\breve ~ | % 137
  a2 a2 g1 ~ | % 138
  g1 g1 ~ | % 139
  g1 a1 ~ | \barNumberCheck #140
  a1 a1 ~ | % 141
  a1 g1 ~ | % 142
  g1 g1 ~ | % 143
  g1 f1 ~ | % 144
  f1 r1 | % 145
  f1 r2 e2 ~ | % 146
  e2 e2 d1 ~ | % 147
  d1 r1 | % 148
  R\breve*7 | % 155
  r1 f1 ~ | % 156
  f\breve ~ | % 157
  f1 f1 ~ | % 158
  f1 r1 | % 159
  r1
    %%{
  \once \override Staff.FootnoteItem.annotation-line = ##f
  \footnote "&dagger;" #'(0 . 3.5)
  \markup {
    \left-column
    {
      \null
      "&dagger; MS has long here"
      \null
    }
  }
  %}
  g1 ~ | \barNumberCheck #160
  g1 r1 | % 161
  R\breve*2 | % 163
  r1 g1 ~ | % 164
  g\breve \fermata | % 165
}

PartPFiveVoiceOne = \relative g {
  g1. g2 g1 ~ | % 2
  g d\breve | % 3
  a' g1 | % 4
  f2 f d\breve | % 5
  c1. \melisma bes2 a1 ~ | % 6
  a \melismaEnd g\breve | % 7
  d'\breve. ~ | % 8
  d1 g,\breve | % 9
  d'1 \melisma e c ~ | \barNumberCheck #10
  c g\breve | % 11
  bes c1 ~ | % 12
  c a1. bes4 c | % 13
  d\breve \melismaEnd g,1 ~ | % 14
  g r g' \melisma | % 15
  d1. e2 \melismaEnd f1 ~ | % 16
  f g \melisma g, ~ | % 17
  g \melismaEnd c\breve | % 18
  a2 \melisma bes4 c d1. c4 bes | % 19
  c bes a g a1 bes2 g | \barNumberCheck #20
  d'2. e4 f1 \melismaEnd g | % 21
  r2 d \melisma bes \melismaEnd g d'1 | % 22
  g,\breve r1 | % 23
  R\breve.*14 | % 37
  r1 bes2 bes d1 ~ | % 38
  d g,2 g g'1 ~ | % 39
  g2 \melisma f4 e f e d c bes1 \melismaEnd | \barNumberCheck #40
  g2. \melisma a4 bes a bes c d1 \melismaEnd | % 41
  c a2 f c'1 ~ | % 42
  c f,\breve | % 43
  c'1 a2 f r f' | % 44
  d1 bes1. bes2 | % 45
  bes d2. \melisma c4 bes a bes1 \melismaEnd | % 46
  g2 r bes2. bes4 d1 ~ | % 47
  d2 d a d1 d2 | % 48
  g,\breve r2 bes | % 49
  a2. \melisma bes4 c2 \melismaEnd d2. \melisma c4 bes a | \barNumberCheck #50
  bes2 g r1 r2 d' \melismaEnd | % 51
  d1 d1. d2 | % 52
  d1 f \melisma r2 d ~ | % 53
  d4 e f2 \melismaEnd g1 r2 g, ~ | % 54
  g4 \melisma a bes c d1 \melismaEnd a | % 55
  d2 d g,1 r | % 56
  d' a2 d g,1 | % 57
  r2 d'1 d2 c a ~ | % 58
  a4 \melisma bes c2 \melismaEnd d bes1 g2 | % 59
  d'2. \melisma e4 f1 \melismaEnd f2 c ~ | \barNumberCheck #60
  c4 \melisma bes c bes a1 g ~ | % 61
  g2 a bes4 a bes c d2. c4 | % 62
  d e d1. \melismaEnd d2 a \melisma | % 63
  bes g d'\breve \melismaEnd | % 64
  g, r2 bes ~ | % 65
  bes4 \melisma c d2 \melismaEnd e g2. \melisma f4 e d | % 66
  c1 \melismaEnd a2 \melisma f1 c'2 \melismaEnd | % 67
  g\breve r2 g' \melisma | % 68
  a g2. f4 e d e2 \melismaEnd c | % 69
  a2. \melisma bes8 c d1 \melismaEnd r | \barNumberCheck #70
  r g,\breve \melisma | % 71
  bes1. a4 g c2 g | % 72
  d'\breve \melismaEnd g,1 ~ | % 73
  g\breve. ~ | % 74
  g\breve. \fermata | % 75
  g\breve | % 76
  g1 g | % 77
  g'\breve | % 78
  d1 d | % 79
  f\breve | \barNumberCheck #80
  f | % 81
  f1 \[ d \melisma | % 82
  a \melismaEnd \] c ~ | % 83
  c \melisma g \melismaEnd | % 84
  g4 \melisma a bes c \[ d1 | % 85
  c \melismaEnd \] a \melisma | % 86
  d\breve \melismaEnd | % 87
  g, | % 88
  R\breve*23 | % 112
  r1 d'
  %%{
  \once \override Staff.FootnoteItem.annotation-line = ##f
  \footnote "&dagger;" #'(0 . 3.5)
  \markup {
    \left-column
    {
      \null
      "&dagger; Breve is not dotted in MS"
      \null
    }
  }
  %}
  g,\breve ~ | % 113
  g1 d' | % 114
  c\breve | % 115
  a1 f | % 116
  bes g | % 117
  c\breve | % 118
  R | % 119
  bes1. bes2 | \barNumberCheck #120
  g\breve | % 121
  f | % 122
  r2 bes1 bes2 | % 123
  d1. d2 | % 124
  g,1 g | % 125
  g\breve \melisma | % 126
  a2. bes4 c2 \melismaEnd a | % 127
  d\breve | % 128
  g, | % 129
  c | \barNumberCheck #130
  a1 f | % 131
  bes2 bes g1 | % 132
  r2 d'1 d2 | % 133
  a1 r | % 134
  g g ~ | % 135
  g2 g d'1 | % 136
  d f | % 137
  f g | % 138
  g, c | % 139
  bes r2 a ~ | \barNumberCheck #140
  a a c1 | % 141
  d r2 e | % 142
  c1 g' | % 143
  d bes ~ | % 144
  bes c | % 145
  a a' ~ | % 146
  a2 \melisma g4 f g f e d \melismaEnd | % 147
  g1 g,2. \melisma a4 | % 148
  bes a bes c d2. c4 | % 149
  e d c bes \melismaEnd \[ a1 \melisma | \barNumberCheck #150
  d \melismaEnd \] g,4 \melisma a bes c | % 151
  d e f2 \melismaEnd f,2. \melisma g4 | % 152
  a bes c2 d1 ~ | % 153
  d2 \melismaEnd c4 \melisma bes c bes a g | % 154
  a2. bes4 c2 bes4 a | % 155
  g2 c \melismaEnd f,1 ~ | % 156
  f r | % 157
  c' \melisma d ~ | % 158
  d g,2. a4 | % 159
  bes2 c d e4 f | \barNumberCheck #160
  g1 f \melismaEnd | % 161
  a1. \melisma g4 f | % 162
  e2 \melismaEnd g2. \melisma \ficta fis4 g \ficta fis | % 163
  g\breve \melismaEnd | % 164
  g\breve \fermata | % 165

}

PartPSixVoiceOne = \relative d'' {
  R\breve.*21 | % 4
  r1 r d | % 23
  d2 d f\breve \melisma | % 24
  e1 \melismaEnd d d4 \melisma c b a | % 25
  b1 \melismaEnd r2 d e g ~ | % 26
  g4 \melisma f e d e d c b a1 ~ | % 27
  a2 g \melismaEnd f1 r | % 28
  R\breve. | % 29
  d'1 e2 d1 c2 | \barNumberCheck #30
  b2. \melisma a8 b a1 \melismaEnd r2 d ~ | % 31
  d d1 d d2 \melisma | % 32
  c d4 e f\breve \melismaEnd | % 33
  e1. \melisma d4 c e2 d ~ | % 34
  d c4 b a2. g4 c2 a \melismaEnd | % 35
  d1 r a2. \melisma g4 \melismaEnd | % 36
  f2 d r d'2. e4 \melisma d c \melismaEnd | % 37
  b1 g'1. g2 | % 38
  d\breve r2 g ~ | % 39
  g g g d1 bes!2 ~ | \barNumberCheck #40
  bes g d'1 r | % 41
  c1. a2 r1 | % 42
  r f'2. f4 f2 \melisma e4 d | % 43
  e d c bes a1 \melismaEnd bes2 \melisma f \melismaEnd | % 44
  d'1 d1. d2 | % 45
  g1. \melisma f4 e d1 ~ | % 46
  d \melismaEnd r2 d d1 | % 47
  r2 f2. e4 d1 a2 | % 48
  d1. d2 e d | % 49
  f1. f2 d1 \melisma | \barNumberCheck #50
  g1. \ficta fis4 e \ficta fis1 \melismaEnd | % 51
  g\breve r1 | % 52
  R\breve.*12 | % 64
  d1. d2 g1 ~ | % 65
  g \melisma e \melismaEnd r2 c ~ | % 66
  c \melisma d4 e f1. e4 d | % 67
  g2 f4 e f e d c d c bes a | % 68
  g a bes g \melismaEnd d'1 r | % 69
  R\breve. | \barNumberCheck #70
  r1 d\breve | % 71
  r2 g1. g1 | % 72
  f4 \melisma e f2. g4 f2 d g | % 73
  d1. \melismaEnd b ~ |
  b\breve. \fermata | % 75
  R\breve*13 | % 88
  g\breve | % 89
  b1 c | \barNumberCheck #90
  d1. \melisma c4 b | % 91
  a1 \melismaEnd bes! ~ | % 92
  bes g | % 93
  r d' ~ | % 94
  d2 \melisma c bes1 \melismaEnd | % 95
  a\breve | % 96
  \[ bes1 \melisma g \melismaEnd \] |
  \[ f \melisma d \melismaEnd \] | % 98
  d'\breve ~ | % 99
  d1 r | \barNumberCheck #100
  R\breve | % 101
  d1. c2 | % 102
  b1. \melisma c4 d | % 103
  e\breve ~ | % 104
  e1 c | % 105
  a2
  \once \override Staff.FootnoteItem.annotation-line = ##f
  \footnote "&sect;" #'(0 . 2.5)
  \markup {
    \small
    \left-column
    {
      \null
      "&sect; The key signature in this part is cancelled in bar 102. The conductor may still"
      "wish to flatten some or all of the Bs until the key signature returns in bar 110."
      \null
    }
  }


  b4 c d1 ~ | % 106
  d c ~ | % 107
  c2 \melismaEnd d4 \melisma e \melismaEnd f1 \melisma | % 108
  f4 e d c d c b a \melismaEnd | % 109
  d1 r | \barNumberCheck #110
  r2 d2. \melisma c4 b a \melismaEnd | % 111
  bes!\breve | % 112
  r1 d | % 113
  g\breve | % 114
  f | % 115
  c1 c2 c | % 116
  d1. \melisma c4 bes | % 117
  a1 \melismaEnd a \melisma | % 118
  c1. bes4 a \melismaEnd | % 119
  d1 d ~ | \barNumberCheck #120
  d2 d g,1 | % 121
  c c | % 122
  g'\breve | % 123
  r2 f1 f2 | % 124
  d d g1 ~ | % 125
  g d | % 126
  r2 f1 \melisma e2 \melismaEnd | % 127
  d1 d | % 128
  g d | % 129
  f1. f2 | \barNumberCheck #130
  c1 r | % 131
  d d | % 132
  a f'2 \melisma e4 d | % 133
  e2 \melismaEnd c2. \melisma d4 e f | % 134
  g1 \melismaEnd g2 d ~ | % 135
  d \melisma c4 bes c bes a g | % 136
  a1 \melismaEnd r | % 137
  r d ~ | % 138
  d c | % 139
  r2 g d'1 | \barNumberCheck #140
  c c2 f ~ | % 141
  f4 d e c g'2. \melisma f4 \melismaEnd | % 142
  e2 c d bes ~ | % 143
  bes d1 bes2 | % 144
  d r r1 | % 145
  R\breve | % 146
  r1 d ~ | % 147
  d2 \melisma g1. ~ | % 148
  g2 \melismaEnd d r d \melisma | % 149
  g1 f2. e4 | \barNumberCheck #150
  d1. c4 bes | % 151
  c bes a g a1 \melismaEnd | % 152
  c2 \melisma a \melismaEnd r d | % 153
  d2. \melisma c4 e d c bes | % 154
  c bes a g c1 \melismaEnd | % 155
  r c ~ | % 156
  c2 \melisma d4 e f1 ~ | % 157
  f \melismaEnd d | % 158
  r2 d1 \melisma e4 f | % 159
  g\breve \melismaEnd | \barNumberCheck #160
  g,2. \melisma a4 bes2 c | % 161
  d1 \melismaEnd r2 e \melisma | % 162
  c4 a \melismaEnd d2 r1 | % 163
  R\breve | % 164
  b2 b1. \fermata | % 165

}

PartPSevenVoiceOne = \relative g' {
  R\breve.*5 | % 6
  r1 g\breve | % 7
  a f1 ~ | % 8
  f2 \melisma g4 a bes\breve | % 9
  a1 \melismaEnd g g4 \melisma f e d \melismaEnd | \barNumberCheck #10
  \[ e1 \melisma d \melismaEnd \] r2 g ~ | % 11
  g \melisma f4 e d1 e \melismaEnd | % 12
  \[ g \melisma e \] a ~ | % 13
  a2 g f g4 a bes1 ~ | % 14
  bes\breve \melismaEnd r1 | % 15
  r a\breve | % 16
  c1 bes2. \melisma a4 g2. f8 e | % 17
  d1 e1. f4 g | % 18
  a1. g2 f1 | % 19
  e\breve \melismaEnd d1 | \barNumberCheck #20
  R\breve.*2 | % 22
  d1 d2 d g1 ~ | % 23
  g f d4 \melisma e f g | % 24
  a1 \melismaEnd r2 d,1 d2 | % 25
  g1. \melisma f2 \melismaEnd e1 ~ | % 26
  e c2 \melisma d4 e f1 ~ | % 27
  f2 \melismaEnd e d e4 \melisma f g1 \melismaEnd | % 28
  r2 d4 \melisma e f g a g \ficta fis e \ficta fis2 \melismaEnd | % 29
  g1 r r | \barNumberCheck #30
  d2 d f2. \melisma e4 d2 c4 bes | % 31
  a2 \melismaEnd a b1 r | % 32
  r a' f | % 33
  a g1. \melisma f4 e | % 34
  d1. \melismaEnd d2 \melisma f1 \melismaEnd | % 35
  R\breve. | % 36
  r2 d2. \melisma c4 d c d c b a | % 37
  d\breve. \melismaEnd | % 38
  r1 g1. g2 | % 39
  bes1 g2 g d d | \barNumberCheck #40
  g1 g2 d1 r2 | % 41
  e c f1. \melisma e4 d | % 42
  e2 \melismaEnd e f\breve | % 43
  r2 a \melisma c1 bes4 a g f | % 44
  g f e d \melismaEnd g1 g2 g | % 45
  d g bes1 g2 g | % 46
  g g d d r a' ~ | % 47
  a f r1 r | % 48
  bes \melisma bes4 a g f g2 f4 e | % 49
  f e d c d c bes a bes c d2 \melismaEnd | \barNumberCheck #50
  g, g' \melisma a1 \melismaEnd f2 \melisma g4 a | % 51
  bes1 \melismaEnd r2 g1 g2 | % 52
  d g f \melisma a2. g4 f e \melismaEnd | % 53
  f2 d g2. g4 d2 g | % 54
  bes1 r2 a1. | % 55
  f2 d4 d g1 d2 \melisma f ~ | % 56
  f e4 d c a2 d2 c8 [ bes ] c [ bes a g ] \melismaEnd | % 57
  f1 r2 f g \melisma a4 bes | % 58
  c2 \melismaEnd a \melisma d e4 f g2 d | % 59
  f1 f4 e f g a2. g4 | \barNumberCheck #60
  f2. g4 \melismaEnd a1 r2 g | % 61
  g1. \melisma f4 e a1 ~ | % 62
  a2 \melismaEnd f1 \melisma d2 f4 e d c | % 63
  d2. e4 f2. g4 a2 d, \melismaEnd | % 64
  g1 g2 g bes1 ~ | % 65
  bes g\breve \melisma | % 66
  f1. g2 f g4 f | % 67
  g1. f4 e a2. bes4 | % 68
  c2 bes4 a bes2 g1 f4 e | % 69
  a2. g4 \melismaEnd f \melisma e f2 \melismaEnd r1 | \barNumberCheck #70
  g \melisma d2 \melismaEnd g bes2. \melisma a4 | % 71
  g2 f4 e d1 \melismaEnd r2 g \melisma | % 72
  a4 g \ficta fis e \ficta fis1 \melismaEnd g ~ | % 73
  g\breve. ~ | % 74
  g\breve. \fermata | % 75
  R\breve*12 | % 87
  g\breve | % 88
  d1 d | % 89
  \[ g, \melisma g' \melismaEnd \] | \barNumberCheck #90
  \[ d \melisma f \melismaEnd \] | % 91
  e2 c g'1 ~ | % 92
  g r | % 93
  f1. e2 | % 94
  d\breve | % 95
  d1 d | % 96
  bes! \melisma d ~ | % 97
  d2 \melismaEnd e f1 \melisma | % 98
  g1. f4 e | % 99
  d1 r2 e | \barNumberCheck #100
  c1 a \melismaEnd | % 101
  d\breve | % 102
  g1. \melisma f2 | % 103
  e f4 g a1 ~ | % 104
  a\breve | % 105
  f1 d2 e4 f \melismaEnd | % 106
  g\breve | % 107
  r1 \[ a ~ | % 108
  a \melisma bes ~ | % 109
  bes \] g ~ | \barNumberCheck #110
  g \ficta fis \melismaEnd | % 111
  g\breve | % 112
  r2 d1 g2 ~ | % 113
  g g d1 | % 114
  f1. g2 | % 115
  a1 r2 f | % 116
  g1 d | % 117
  f\breve | % 118
  e1 g ~ | % 119
  g r | \barNumberCheck #120
  bes\breve | % 121
  a | % 122
  d,1. d2 | % 123
  f1 f | % 124
  g\breve | % 125
  d1 r2 d | % 126
  a'1. f2 | % 127
  bes\breve | % 128
  bes | % 129
  r2 c1 a2 ~ | \barNumberCheck #130
  a f1 \melisma e4 d \melismaEnd | % 131
  g1 d ~ | % 132
  d d | % 133
  R\breve | % 134
  g1 \melisma bes ~ | % 135
  bes2 a4 g a g f e | % 136
  f2. g4 a2. g4 | % 137
  \ficta fis e \ficta fis2 \melismaEnd g1 ~ | % 138
  g r | % 139
  bes a ~ | \barNumberCheck #140
  a2 a f2. f4 | % 141
  f2 d g g | % 142
  c,1 r2 g' \melisma | % 143
  bes a4 g a g f e \melismaEnd | % 144
  d1 r2 f ~ | % 145
  f \melisma e4 d c2. d4 | % 146
  e2 \melismaEnd c r g' ~ | % 147
  g \melisma f4 e d2 g ~ | % 148
  g bes2. a4 g f | % 149
  g f e d f e d c | \barNumberCheck #150
  d c bes a bes2 g \melismaEnd | % 151
  d'1 r2 a' ~ | % 152
  a4 \melisma g a f bes2. a4 | % 153
  g2 \melismaEnd d r f \melisma | % 154
  a2. g8 a g4 a f2 | % 155
  e4 d e2 \melismaEnd f1 ~ | % 156
  f a ~ | % 157
  a\breve ~ | % 158
  a1 bes ~ | % 159
  bes r2 g ~ | \barNumberCheck #160
  g1 \melisma d2 f ~ | % 161
  f e4 d c2 a \melismaEnd | % 162
  c r r1 | % 163
  d d ~ | % 164
  d\breve \fermata | % 165
}

PartPEightVoiceOne = \relative g {
  R\breve.*28 | % 4
  g\breve f1 | \barNumberCheck #30
  g2 g d1 r2 d' | % 31
  f2. \melisma e4 d2 c4 b a1 ~ | % 32
  a2 \melismaEnd a a b4 \melisma c \melismaEnd d1 | % 33
  r e,2. \melisma f4 g a b c | % 34
  d2 \melismaEnd d,4 \melisma e f g a2. \melismaEnd g4 c2 \melisma | % 35
  b d2. c4 d e d c b a | % 36
  d2 b \melismaEnd a2. \melisma g4 a1 \melismaEnd | % 37
  g r2 bes1 bes2 | % 38
  bes1 d1. d2 | % 39
  d1 g,2 \melisma bes1 a4 g | \barNumberCheck #40
  bes a bes c d2. c4 \ficta b a \ficta b2 \melismaEnd | % 41
  c\breve r1 | % 42
  g a a | % 43
  a2 c2. c4 c2 d2. \melisma c4 | % 44
  bes2 a4 g d'1 \melismaEnd bes | % 45
  r2 bes1 bes2 bes1 | % 46
  bes\breve a1 | % 47
  r2 d f1 f | % 48
  d1. \melisma c4 bes c bes a g | % 49
  a2 \melismaEnd f1 f2 r f | \barNumberCheck #50
  bes bes f f d1 | % 51
  d'1. d2 bes g ~ | % 52
  g d'1 f2. e4 d2 ~ | % 53
  d d bes\breve | % 54
  d1. \melisma c4 bes c bes a g \melismaEnd | % 55
  a1 r2 g1 \melisma d2 | % 56
  f2. g4 a2 \ficta fis \melismaEnd g1 | % 57
  d'1. d2 e1 | % 58
  r2 c \melisma f2. e4 d1 ~ | % 59
  d2 c4 bes a2. bes4 c2. bes4 | \barNumberCheck #60
  a g a g \ficta fis e \ficta fis2 \melismaEnd g1 | % 61
  d'1. d2 d \melisma c4 bes | % 62
  a2. g4 f2. g4 a2 c \melismaEnd | % 63
  bes1 r2 d1. | % 64
  bes!\breve r1 | % 65
  bes2 bes c1 r | % 66
  f,2. \melisma g4 a bes c1 a2 | % 67
  d1. c4 bes a2 g | % 68
  c2. b8 c d2 b e2. d8 e | % 69
  f2. e4 d2. c8 d e2. d4 | \barNumberCheck #70
  c2 d4 c bes!2 g \melismaEnd d'1 | % 71
  d4 \melisma c d c bes1 g2 d'4 c | % 72
  f2. e4 d2. c4 d c bes a | % 73
  bes2 \melismaEnd g d'1 r2 d | % 74
  d\breve. \fermata | % 75
  g,\breve | % 76
  d' | % 77
  \ficta bes1 bes | % 78
  a\breve | % 79
  a1 a ~ | \barNumberCheck #80
  a c ~ | % 81
  c r | % 82
  c\breve | % 83
  e1 d \melisma | % 84
  g, \melismaEnd f | % 85
  g \melisma a ~ | % 86
  a \ficta fis \melismaEnd | % 87
  g\breve | % 88
  R\breve*23 | % 111
  bes\breve | % 112
  d1 g, | % 113
  bes bes2 bes | % 114
  a f2. \melisma g4 a bes | % 115
  c1 r | % 116
  d\breve | % 117
  r2 c2. bes4 a2 \melismaEnd | % 118
  g\breve | % 119
  bes1. bes2 | \barNumberCheck #120
  bes\breve | % 121
  c2. \melisma bes4 a g a2 \melismaEnd | % 122
  d2. \melisma c4 bes2 a4 g | % 123
  a2. g4 a1 \melismaEnd | % 124
  g d ~ | % 125
  d2 d d1 | % 126
  c2 a1 a2 | % 127
  bes\breve | % 128
  d | % 129
  r2 f1 f2 ~ | \barNumberCheck #130
  f f f f | % 131
  g\breve | % 132
  r1 a ~ | % 133
  a2 \melisma g4 f e1 \melismaEnd | % 134
  d2 d d1 | % 135
  d' \melisma f \melismaEnd | % 136
  f4 \melisma e d c d2 c4 bes | % 137
  a2 \melismaEnd d2. \melisma c4 bes a | % 138
  bes2 \melismaEnd g r e' | % 139
  d d d d | \barNumberCheck #140
  f1. \melisma e2 | % 141
  d1 \melismaEnd r2 e | % 142
  e e d2. \melisma c4 | % 143
  bes1. a4 g | % 144
  a g f e f2. g4 | % 145
  a2 bes c \melismaEnd c, ~ | % 146
  c4 \melisma d e c g'1 \melismaEnd | % 147
  d g ~ | % 148
  g2 \melisma f4 g f2 d | % 149
  d' c4 d c2. bes4 | \barNumberCheck #150
  a g a2 \melismaEnd g1 | % 151
  r2 d' c1 | % 152
  r2 a \melisma d2. c4 | % 153
  bes2 a4 g f1 | % 154
  e2 c \melismaEnd g'1 | % 155
  r2 a a1 ~ | % 156
  a c ~ | % 157
  c2 \melisma a1 f2 | % 158
  a1 \melismaEnd g ~ | % 159
  g r2 d ~ | \barNumberCheck #160
  d \melisma e f d \melismaEnd | % 161
  d'1 r2 c ~ | % 162
  c \melisma d c a | % 163
  d1 b2 g \melismaEnd | % 164
  d'\breve \fermata | % 165
}

PartPNineVoiceOne = \relative d' {
  d\breve b1 ~ | % 2
  b a1. a2 | % 3
  f\breve r2 g | % 4
  d d f\breve | % 5
  g1 c\breve | % 6
  a1 d1. \melisma c4 b | % 7
  a1 \melismaEnd f\breve \melisma | % 8
  a1 d2. c4 \melismaEnd bes!1 | % 9
  r2 a c\breve | \barNumberCheck #10
  g1 bes\breve | % 11
  d \melisma c1 | % 12
  e c1. d4 e | % 13
  f2. e4 d2 c bes1 | % 14
  g\breve bes1 \melismaEnd | % 15
  a\breve r1 | % 16
  r d d4 \melisma c bes a | % 17
  bes2 g1. \melismaEnd a2. \melisma g4 \melismaEnd | % 18
  f1 f4 \melisma e f g a b c d | % 19
  e2 d1 \ficta cis2 d1 ~ | \barNumberCheck #20
  d2 \ficta c4 d c2 d4 c bes1 | % 21
  a2 f g1 a \melismaEnd | % 22
  g\breve r1 | % 23
  R\breve.*14 | % 37
  d1. d2 g,1 ~ | % 38
  g d'2 d bes1 ~ | % 39
  bes bes \melisma f'2. e8 f \melismaEnd | \barNumberCheck #40
  g1 r2 d bes g | % 41
  a1 f4 f c'2 r e ~ | % 42
  e1 c\breve | % 43
  a1 f bes ~ | % 44
  bes d\breve | % 45
  g,1 r2 d''1 d2 | % 46
  d\breve \melisma f1 \melismaEnd | % 47
  f4 \melisma e d c d c bes a d1 \melismaEnd | % 48
  bes g2 d1 d2 | % 49
  r c \[ a1 f \] | \barNumberCheck #50
  g r r | % 51
  bes1. bes2 bes1 ~ | % 52
  bes d\breve ~ | % 53
  d1 g,\breve | % 54
  r2 g' f a2. a4 c2 | % 55
  a d2. \melisma c4 bes a bes2 a4 g | % 56
  a g f e f2 \melismaEnd d d'1 | % 57
  f1. f2 e c ~ | % 58
  c4 \melisma d e f d1 r2 g, | % 59
  f d1 c4 bes \melismaEnd a1 ~ | \barNumberCheck #60
  a r2 c es d ~ | % 61
  d \melisma g1. \melismaEnd f1 | % 62
  f4 \melisma e! f g a2. g4 f2 e4 d | % 63
  g1 \melismaEnd f r2 d | % 64
  d1 r2 d1 d2 | % 65
  d g2. \melisma f4 e d c2. bes4 | % 66
  a2 f c'\breve | % 67
  d \melismaEnd c1 | % 68
  r2 c \melisma g1 g'2 \melismaEnd e | % 69
  c f1 \melisma d2 a2. bes4 | \barNumberCheck #70
  c2 g \melismaEnd bes bes2. \melisma a4 bes c | % 71
  d1 g, \melismaEnd r2 g' | % 72
  f1 r2 d1. | % 73
  g\breve. ~ | % 74
  g \fermata | % 75
  R\breve*26 | % \barNumberCheck #80
  r1 d \melisma | % 102
  e \melismaEnd g ~ | % 103
  g r | % 104
  r c,2 \melisma d4 e \melismaEnd | % 105
  f2 \melisma g4 a \melismaEnd bes1 ~ | % 106
  bes g | % 107
  a1. \melisma g2 \melismaEnd | % 108
  f\breve | % 109
  \[ g1 \melisma bes \] | \barNumberCheck #110
  a\breve \melismaEnd | % 111
  g | % 112
  d | % 113
  bes | % 114
  f1 a | % 115
  c a | % 116
  d\breve | % 117
  r2 a c1 | % 118
  e1. e2 | % 119
  d\breve | \barNumberCheck #120
  d | % 121
  r2 c1 c2 \melisma | % 122
  d\breve \melismaEnd | % 123
  R | % 124
  g1. g2 | % 125
  bes1 bes | % 126
  c c | % 127
  d2. \melisma c4 bes2 a \melismaEnd | % 128
  g \melisma f4 e d1 \melismaEnd | % 129
  c a | \barNumberCheck #130
  f c'2 c | % 131
  g1 r2 g' | % 132
  f1 d | % 133
  r2 e g1 ~ | % 134
  g2 g d1 | % 135
  bes' \melisma a2 \melismaEnd d ~ | % 136
  d f2. \melisma e4 d c | % 137
  d1 \melismaEnd bes2 g | % 138
  d'1 g, | % 139
  d2 d f1 | \barNumberCheck #140
  c a2 a | % 141
  f1 c' | % 142
  e r2 d | % 143
  g1 r2 f ~ | % 144
  f f f,1 ~ | % 145
  f \melisma c' ~ | % 146
  c \melismaEnd g ~ | % 147
  g r2 bes \melisma | % 148
  d2. e4 \melismaEnd f1 | % 149
  r2 g \melisma a2. g4 | \barNumberCheck #150
  \ficta fis e \ficta fis2 \melismaEnd g g,4 \melisma a | % 151
  bes c d e f2 f, ~ | % 152
  f1 bes ~ | % 153
  bes a \melismaEnd | % 154
  c r2 c \melisma | % 155
  bes a c2. bes4 | % 156
  a1 f \melismaEnd | % 157
  c' r2 a ~ | % 158
  a1 \melisma d ~ | % 159
  d \melismaEnd bes ~ | \barNumberCheck #160
  bes r | % 161
  f'1. \melisma e2 | % 162
  g g, c1 \melismaEnd | % 163
  g r | % 164
  g' g1 \fermata | % 165
}

PartPOneZeroVoiceOne = \relative g, {
  R\breve.*21 | % 4
  r1 r g | % 23
  g2 g d'\breve | % 24
  a1 bes\breve | % 25
  g c1 ~ | % 26
  c2 \melisma bes a1. bes4 c | % 27
  d\breve \melismaEnd c1 ~ | % 28
  c2 \melisma bes a\breve | % 29
  g d'1 \melismaEnd | \barNumberCheck #30
  g, r2 f' g1 | % 31
  d2 d g,4 \melisma a \ficta bes c d2 e | % 32
  f2. e4 d\breve \melismaEnd | % 33
  a2 a c1 g ~ | % 34
  g d'2 \melisma c4 bes \melismaEnd \[ a1 \melisma | % 35
  g \melismaEnd \] r2 d'2. c4 \melisma d \melismaEnd e | % 36
  d2 \melisma g, \melismaEnd d'\breve | % 37
  g, r1 | % 38
  bes1. bes2 g1 ~ | % 39
  g g2 g d'1 | \barNumberCheck #40
  bes g\breve | % 41
  r2 f c'1 r | % 42
  r2 c a\breve | % 43
  f2 f c' a d1 ~ | % 44
  d g,1. g2 | % 45
  d' bes1 \melisma g2. a4 bes c | % 46
  d2 bes \melismaEnd f'1 f2 f | % 47
  f1 f r | % 48
  bes,1. bes2 g1 | % 49
  f\breve f'2. \melisma e4 \melismaEnd | \barNumberCheck #50
  d2 \melisma c4 bes a2 \melismaEnd d1. | % 51
  g,\breve. | % 52
  R\breve.*12 | % 64
  bes1. bes2 g1 ~ | % 65
  g r2 c1. \melisma | % 66
  f,\breve a2 f | % 67
  bes1. g2 a c ~ | % 68
  c1 \[ bes c \melismaEnd \] | % 69
  f, bes2. \melisma a8 bes c2. d4 | \barNumberCheck #70
  e f g1 f4 e d1 | % 71
  g, d' \melismaEnd e2 \melisma d \melismaEnd | % 72
  d1 r bes ~ | % 73
  bes g\breve ~ | % 74
  g\breve. \fermata | % 75
  R\breve*13 | % 88
  g'\breve | % 89
  e1 e | \barNumberCheck #90
  d\breve | % 91
  c1 bes | % 92
  g\breve | % 93
  d' | % 94
  g,1. g2 | % 95
  d'\breve | % 96
  r1 g | % 97
  d\breve | % 98
  g, | % 99
  \[ bes1 \melisma c \melismaEnd \] | \barNumberCheck #100
  a\breve | % 101
  g | % 102
  g1. \melisma a4 bes | % 103
  c1. bes2 | % 104
  a1. bes4 c | % 105
  d1 \melismaEnd g, ~ | % 106
  g c \melisma | % 107
  f1. e2 | % 108
  d c bes1 | % 109
  g\breve | \barNumberCheck #110
  d' \melismaEnd | % 111
  g, | % 112
  r1 bes | % 113
  d\breve | % 114
  a1 f ~ | % 115
  f c'2 c | % 116
  g2. \melisma a4 bes2 c \melismaEnd | % 117
  f,\breve | % 118
  c' | % 119
  g1. g2 | \barNumberCheck #120
  bes\breve | % 121
  r2 a1 a2 | % 122
  g\breve | % 123
  R | % 124
  bes1. bes2 | % 125
  bes1 bes | % 126
  f f | % 127
  R\breve | % 128
  bes | % 129
  a1 f | \barNumberCheck #130
  c' a | % 131
  d bes2 g | % 132
  d'1 d | % 133
  c\breve | % 134
  r2 bes bes bes | % 135
  bes1 r2 f' ~ | % 136
  f f d1 ~ | % 137
  d g, ~ | % 138
  g r | % 139
  g f2 f | \barNumberCheck #140
  f f f1 | % 141
  f' c ~ | % 142
  c2 c g1 ~ | % 143
  g d' ~ | % 144
  d \[ a \melisma | % 145
  c \melismaEnd \] a ~ | % 146
  a \melisma bes | % 147
  bes4 a bes c d1 \melismaEnd | % 148
  g, r2 bes | % 149
  g1 r2 f ~ | \barNumberCheck #150
  f1 \melisma bes ~ | % 151
  bes a ~ | % 152
  a \melismaEnd g2. \melisma a4 | % 153
  bes c d e f g a2 ~ | % 154
  a4 g f2 e \melismaEnd g ~ | % 155
  g \melisma c, a2. bes4 | % 156
  c2. bes4 a g a2 \melismaEnd | % 157
  f\breve ~ | % 158
  f1 bes ~ | % 159
  bes \melisma g ~ | \barNumberCheck #160
  g d' ~ | % 161
  d2 c4 bes a2 c ~ | % 162
  c bes \melismaEnd a1 | % 163
  g\breve | % 164
  g\breve \fermata | % 165
}

PartPOneVoiceOneLyrics = \lyricmode {

  Lau -- da -- mus te, __
  be -- ne -- di -- ci -- mus __ te,
  a -- do -- ra
  -- mus __
  te, glo --
  ri -- fi -- ca --
  mus __
  te, gra -- ti --
  as __ a -- gi -- mus ti --
  bi prop --
  ter mag -- nam glo -- ri -- am tu -- am Do -- mi -- ne De -- us,
  rex ce -- le -- stis, De -- us Pa -- ter om -- ni -- po --
  tens, Do -- mi -- ne Fi -- li u -- ni -- ge -- ni -- te __
  Je -- su Chris --
  te, Do --
  mi -- ne De --
  us, Ag -- nus __
  De -- i,
  Fi -- li -- us __ Pa --
  \it
  tris, Fi -- li -- us Pa --
  tris, Fi -- li -- us Pa --
  \rec
  tris. __

  Qui tol -- lis pec -- ca -- ta mun -- di,
  su -- sci -- pe __ de -- pre -- ca -- ti -- o -- nem
  qui se -- des ad dex -- te -- ram Pa
  --
  tris, mi -- se -- re -- re no
  -- bis, quo -- ni -- am tu so -- lus
  san -- ctus, __ tu so --
  lus __ al -- tis -- si -- mus, __
  Je -- su Chris --
  te, cum __ San -- cto __ Spi -- ri -- tu, in glo -- ri -- a De
  -- i Pa --
  tris, __ a --
  \it
  men, a --
  men, __ a -- men,
  a --
  \rec
  men.

}

PartPTwoVoiceOneLyrics = \lyricmode {

  Ho -- mi -- ni -- bus bo -- ne __ vo -- lun -- ta --
  \it
  tis, __
  bo -- ne vo -- lun -- ta -- tis,
  bo -- ne __ vo -- lun -- ta -- tis,
  vo -- lun -- ta --
  \rec
  tis,
  gra -- ti -- as __ a --
  gi -- mus ti -- bi pro -- pter mag -- nam glo --
  ri -- am __ tu -- am, Do -- mi -- ne De -- us,
  rex __ ce -- les -- tis, De -- us Pa
  -- ter om -- ni -- po -- tens, Fi -- li -- us
  Pa -- \it tris,
  Pa -- \rec tris. __

  Mun -- di, __ mi -- se -- re -- re no -- bis,
  qui se -- des ad dex -- te -- ram Pa -- tris, mi -- se -- re --
  re no -- bis, quo -- ni -- am tu so -- lus san -- ctus, tu __ so
  -- lus do -- mi
  -- nus, __ tu so -- lus al -- tis -- si --
  mus, cum San -- cto Spi -- ri -- tu
  in glo -- ri -- a __ De -- i Pa -- tris, __
  A --
  \it
  men, __ a -- men, a -- men, __ a -- men, a --
  \rec men. __

}

PartPThreeVoiceOneLyrics = \lyricmode {

  Et in __ ter -- ra pax __ ho -- mi -- ni -- bus
  bo -- ne __ vo -- lun -- ta --
  \it
  tis, __
  vo -- lun -- ta -- tis,
  vo -- lun -- ta --
  \rec
  tis, __
  lau -- da -- mus te, gra -- ti -- as a -- gi -- mus
  ti -- bi __ pro -- pter mag -- nam glo -- ri -- am tu -- am, Do --
  mi -- ne De -- us, rex ce -- les -- tis, De -- us Pa -- ter om
  -- ni -- po -- tens, Fi -- li -- us __ Pa --
  \it
  tris,
  Fi -- li -- us Pa -- tris, __
  Fi -- li -- us __ Pa --
  \rec
  tris.

  Qui tol -- lis pec -- ca -- ta __ mun -- di,
  mi -- se -- re -- re no -- bis,
  qui tol -- lis __ pec -- ca -- ta mun --
  di, su -- sci -- pe de -- pre -- ca -- ti -- o -- nem no -- stram,
  qui se -- des ad __ dex -- te -- ram Pa -- tris, __ mi -- se -- re
  -- re no
  -- bis, quo -- ni -- am tu so -- lus sanc -- tus,
  tu so -- lus Do -- mi -- nus, tu so -- lus al -- tis -- si --
  mus, cum Sanc --
  to Spi -- ri -- tu, in __ glo -- ri -- a __ De -- i __ Pa -- tris, __ a --
  \it
  men, __ a -- men, a -- men, __ a -- men, __
  a -- men, __ a -- men, a -- men, a --
  \rec
  men.

}

PartPFourVoiceOneLyrics = \lyricmode {

  Gra -- ti -- as a -- gi -- mus ti -- bi
  pro -- pter mag -- nam glo -- ri -- am tu -- am, Do
  -- mi -- ne De -- us, Pa -- ter om -- ni -- po -- tens,
  Je -- su Chris -- te, __ Do -- mi -- ne De -- us,
  Ag -- nus __ De -- i, __ Fi -- li -- us Pa --
  \it
  tris, Pa --
  \rec
  tris. __

  Qui se -- des ad dex -- te -- ram Pa -- tris, mi -- se -- re
  -- re no
  -- bis, quo -- ni -- am tu so -- lus san -- ctus, __ tu __ so
  -- lus __ Do -- mi -- nus, __ tu __ so -- lus __ al -- tis -- si -- mus, __ a
  -- \it men, __ a -- \rec men. __

}

PartPFiveVoiceOneLyrics = \lyricmode {

  Et in ter -- ra pax ho -- mi -- ni -- bus
  bo -- ne vo -- lun -- ta --
  \it
  tis, __
  bo -- ne __ vo -- lun -- ta -- tis,
  vo -- lun -- ta --
  \rec
  tis,
  gra -- ti -- as __ a -- gi -- mus __ ti -- bi
  prop -- ter mag -- nam glo -- ri -- am tu -- am.
  Do -- mi -- ne De -- us rex ce -- les -- tis,
  De -- us Pa -- ter om -- ni -- po -- tens,
  Do -- mi -- ne Fi -- li u -- ni -- ge -- ni -- te
  Je -- su Chris -- te,
  Do -- mi -- ne De -- us, Ag -- nus De --
  \it
  i, Ag -- nus De --
  \rec
  i,
  Fi -- li -- us __ Pa --
  \it
  tris,
  Fi -- li -- us __ Pa --
  \rec
  tris. __

  Qui tol -- lis pec -- ca -- ta mun -- di, mi -- se
  -- re -- re __ no --
  bis, Qui se -- des ad dex -- te -- ram Pa -- tris, mi --
  se -- re -- re no -- bis,
  quo -- ni -- am tu so -- lus san -- ctus,
  tu so -- lus Do -- mi -- nus, tu so --
  lus al -- tis -- si -- mus, Je -- su Chris -- te, cum San -- cto
  Spi -- ri -- tu in glo -- ri -- a De -- i __ Pa -- tris,
  a --
  \it
  men, a -- men, __ a -- men, __ a -- men, __ a -- men, __ a --
  \rec
  men.

}

PartPSixVoiceOneLyrics = \lyricmode {

  Lau -- da -- mus te, __
  be -- ne -- di -- ci -- mus __ te,
  a -- do -- ra -- mus te, __
  glo -- ri -- fi -- ca -- mus __
  \it
  te, glo -- ri -- fi -- ca -- mus __
  \rec
  te,
  gra -- ti -- as a -- gi -- mus ti --
  bi __ prop -- ter mag -- nam glo -- ri -- am __ tu -- am,
  Do -- mi -- ne __ De -- us, rex ce -- les -- tis,
  De -- us Pa --
  ter om -- ni -- po -- tens,
  Fi -- li -- us __
  Pa --
  \it
  tris,
  Fi -- li -- us Pa --
  \rec
  tris. __


  Qui tol -- lis pec -- ca -- ta mun --
  di, su -- sci -- pe __
  \it
  de -- pre -- ca -- ti -- o -- nem
  \rec
  no -- stram, qui se -- des
  ad dex -- te -- ram __ Pa -- tris,
  mi -- se -- re -- re no -- bis,
  quo -- ni -- am tu so --
  lus san -- ctus,
  tu so -- lus Do -- mi -- nus, tu so
  -- lus al -- tis -- si -- mus, __ Je --
  su Chris -- te, cum San -- cto __ Spi -- ri --
  tu in __ glo -- ri -- a De -- i Pa -- tris, a --
  \it
  men, a -- men, __ a -- men, __ a -- men, a -- men, __ a -- men,
  a --
  \rec
  men.

}

PartPSevenVoiceOneLyrics = \lyricmode {

  Bo -- ne vo -- lun -- ta --
  \it
  tis, __
  bo -- ne __ vo -- lun -- ta --
  \rec
  tis,
  lau -- da -- mus te, __ be -- ne -- di -- ci -- mus __
  \it
  te, __
  be -- ne -- di -- ci -- mus __
  \rec
  te,
  a -- do -- ra -- mus te,
  glo -- ri -- fi -- ca -- mus __ te, __

  gra -- ti -- as a -- gi -- mus ti -- bi
  pro -- pter mag -- nam glo
  -- ri -- am tu -- am, Do -- mi -- ne De -- us,
  rex ce -- les -- tis, De -- us Pa -- ter om -- ni -- po --
  tens, __ Do -- mi -- ne Fi -- li __ u -- ni -- ge -- ni -- te Je --
  su Chris -- te, Do
  -- mi -- ne De -- us, Ag -- nus __ De --
  \it
  i, Ag -- nus __ De --
  \rec
  i,
  Fi -- li -- us __ Pa --
  \it
  tris, __ Fi -- li -- us __ Pa --
  \rec
  tris. __

  Qui tol -- lis pec
  -- ca -- ta mun -- di, __ su -- sci -- pe de -- pre --
  ca -- ti -- o -- nem, no --
  \it
  stram, no --
  \rec
  stram,
  qui se -- des
  ad dex -- te -- ram Pa -- tris, mi -- se -- re -- re __ no -- bis,
  quo -- ni -- am tu so -- lus san -- ctus, tu so -- lus al -- tis
  -- si -- mus, Je -- su Chris -- te, __ cum San -- cto Spi -- ri
  -- tu in glo -- ri -- a
  De -- i Pa --
  tris, A --
  \it
  men, a -- men, a -- men, __
  a -- men, __ a -- men, a --
  \rec
  men. __

}

PartPEightVoiceOneLyrics = \lyricmode {
  A -- do -- ra -- mus te,
  glo -- ri -- fi -- ca -- mus __
  \it
  te,
  glo -- ri -- fi -- ca -- mus __
  \rec
  te,
  gra -- ti -- as a -- gi -- mus ti -- bi
  prop -- ter mag -- nam glo -- ri -- am tu -- am, Do -- mi --
  ne De -- us, rex ce -- les --
  tis, __ De -- us Pa
  -- ter om -- ni -- po -- tens, Do -- mi -- ne Fi -- li u -- ni --
  ge -- ni -- te Je -- su
  Chris -- te, Do -- mi -- ne De
  -- us, Ag -- nus De --
  \it
  i, De --
  \rec
  i, Fi -- li -- us Pa --
  \it
  tris, Fi
  -- li -- us Pa --
  \rec
  tris.

  Qui tol -- lis pec -- cat -- ta mun -- di, __ mi -- se
  -- re -- re no -- bis, qui se -- des ad dex
  -- te -- ram Pa -- tris,
  mi -- se -- re -- re __ no -- bis,
  quo -- ni -- am tu so -- lus san -- ctus,
  tu so -- lus Do -- mi -- nus, al
  -- tis -- si -- mus, Je -- su __ Chris -- te, cum San -- cto Spi
  -- ri -- tu, __ in glo -- ri -- a __ De -- i, Pa -- tris,
  a --
  \it
  men,
  a -- men, a -- men, __
  a -- men, __ a -- men, a --
  \rec
  men.

}

PartPNineVoiceOneLyrics = \lyricmode {

  Et in __ ter -- ra pax ho -- mi -- ni -- bus bo -- ne vo -- lun -- ta --
  \it
  tis,
  bo -- ne vo -- lun -- ta -- tis,
  bo -- ne __ vo -- lun -- ta --
  \rec
  tis, gra -- ti -- as __ a
  -- gi -- mus __ ti -- bi pro -- pter mag -- nam
  glo -- ri -- am tu -- am. Do -- mi -- ne __ De -- us, rex ce --
  les -- tis, __ De -- us Pa -- ter om -- ni -- po -- tens. Do -- mi
  -- ne __ Fi -- li u -- ni -- ge -- ni -- te Je -- su __ Chris
  -- te, Do -- mi -- ne De -- us, __ Ag -- nus De --
  \it
  i, Ag -- nus De --
  \rec
  i,
  Fi -- li -- us Pa --
  \it
  tris,
  Fi -- li -- us Pa -- tris,
  Fi -- li -- us Pa --
  \rec
  tris. __


  Nos --
  \it
  stram, __ de -- pre -- ca -- ti -- o -- nem no --
  \rec
  stram, qui se -- des ad dex -- te
  -- ram Pa -- tris, mi -- se --
  re -- re no -- bis, __ quo -- ni -- am tu so -- lus san --
  ctus, __ tu so -- lus Do --
  mi -- nus, tu so -- lus al -- tis -- si -- mus, Je -- su __
  Chris -- te, cum San -- cto Spi -- ri
  -- tu in glo -- ri -- a De -- i Pa -- tris, a --
  \it
  men, a -- men, __ a -- men, a -- men,
  a -- men, a -- men, a -- men, __ a -- men, a --
  \rec
  men.

}

PartPOneZeroVoiceOneLyrics = \lyricmode {

  Lau -- da -- mus te,
  be -- ne -- di -- ci -- mus __ te,
  a -- do -- ra -- mus te, __
  glo -- ri -- fi -- ca -- mus __
  \it
  te, __ glo -- ri -- fi -- ca -- mus
  \rec
  te,
  gra -- ti -- as __ a -- gi -- mus ti -- bi prop --
  ter mag -- nam glo -- ri -- am tu -- am, __ Do -- mi -- ne De --
  us, rex ce -- les --
  tis, De -- us Pa -- ter om -- ni -- po -- tens,
  Fi -- li -- us __ Pa --
  \it
  tris, Fi -- li -- us Pa --
  \rec
  tris. __

  Qui tol -- lis pec -- ca -- ta
  mun -- di, su -- sci -- pe de -- pre -- ca -- ti -- o -- nem no --
  \it
  stram, __ no --
  \rec
  stram, qui se -- des ad __ dex -- te -- ram __ Pa -- tris,
  mi -- se -- re -- re no -- bis, quo -- ni -- am tu so --
  lus san -- ctus, tu so -- lus Do -- mi -- nus, tu so -- lus al
  -- tis -- si -- mus, Je -- su Chris -- te, __ cum San -- cto Spi --
  ri -- tu in glo -- ri -- a __ De -- i __ Pa -- tris,
  a --
  \it
  men, a -- men, __ a -- men, __ a -- men, a --
  \rec
  men.

}

\bookpart {
  \tocItem \markup "Gloria"
  %\bookOutputName "MSDM"
  %\bookOutputSuffix "Gloria"
  \header {
    title = \markup \center-column {
      { \concat { "Missa " \italic { "Dum sacrum mysterium" } } }
      \null
      "Gloria"
    }
    composer = \markup \right-column {
      "Robert Carver"
      "(c.1485–c.1570)"
      "edited by Vaughan McAlley"
    }
    encodingsoftware = "Finale 2012 for Mac"
    encodingdate = "2013-02-18"
  }

  %%{
  \score {
    <<
      \new Staff {
        \new Voice = "intonation" {
          \key c \major
          \clef "treble_8"
          \time 15/4
          \slurUp
          f4 ( g a )
          f ( g )
          g
          g

          g ( a )
          a ( b )
          a
          g4.
          g
          \bar "||"
        }
      }
      \new Lyrics \lyricsto "intonation" {
        Gló -- ri -- a in ex -- cél -- sis Dé -- o.
      }
    >>
    \layout {
      %system-count = #1
      %ragged-right = ##f
      indent = 40\mm
      line-width = 132\mm
      \context {
        \Score
        \remove "Bar_number_engraver"
        \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/16)
      }
      \context {
        \Staff
        %\remove "Bar_engraver"
        \remove "Time_signature_engraver"
        \remove "Ambitus_engraver"

      }
      \context {
        \Voice
       %\remove "Stem_engraver"
        \override Stem.transparent = ##t
        \override Stem.length = #0
       }
      \context {
        \Lyrics
        %\override LyricText.padding = #3
        \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'((padding . 1.25))
      }

    }
  }
  %}



  % The score definition
  \score {
    <<
      \new ChoirStaff
      <<
        %%{
        \new Staff <<
          \set Staff.instrumentName = "S1"
          \set Staff.shortInstrumentName = "S1"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPOneVoiceOne" { << \clef "treble" \global \PartPOneVoiceOne >> }
            \new Lyrics \lyricsto "PartPOneVoiceOne" \PartPOneVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "A1"
          \set Staff.shortInstrumentName = "A1"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPTwoVoiceOne" { << \clef "treble" \global \PartPTwoVoiceOne >> }
            \new Lyrics \lyricsto "PartPTwoVoiceOne" \PartPTwoVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "T1"
          \set Staff.shortInstrumentName = "T1"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPThreeVoiceOne" { << \clef "treble_8" \global \PartPThreeVoiceOne >> }
            \new Lyrics \lyricsto "PartPThreeVoiceOne" \PartPThreeVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "Bar1"
          \set Staff.shortInstrumentName = "Bar1"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPFourVoiceOne" { << \clef "treble_8" \global \PartPFourVoiceOne >> }
            \new Lyrics \lyricsto "PartPFourVoiceOne" \PartPFourVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "B1"
          \set Staff.shortInstrumentName = "B1"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPFiveVoiceOne" { << \clef "bass" \global \PartPFiveVoiceOne >> }
            \new Lyrics \lyricsto "PartPFiveVoiceOne" \PartPFiveVoiceOneLyrics
          >>
        >>
        %}
      >>

      \new ChoirStaff
      <<

        %%{
        \new Staff <<
          \set Staff.instrumentName = "S2"
          \set Staff.shortInstrumentName = "S2"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPSixVoiceOne" { << \clef "treble" \global \PartPSixVoiceOne >> }
            \new Lyrics \lyricsto "PartPSixVoiceOne" \PartPSixVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "A2"
          \set Staff.shortInstrumentName = "A2"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPSevenVoiceOne" { << \clef "treble" \global \PartPSevenVoiceOne >> }
            \new Lyrics \lyricsto "PartPSevenVoiceOne" \PartPSevenVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "T2"
          \set Staff.shortInstrumentName = "T2"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPEightVoiceOne" { << \clef "treble_8" \global \PartPEightVoiceOne >> }
            \new Lyrics \lyricsto "PartPEightVoiceOne" \PartPEightVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "Bar2"
          \set Staff.shortInstrumentName = "Bar2"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPNineVoiceOne" { << \clef "bass" \global \PartPNineVoiceOne >> }
            \new Lyrics \lyricsto "PartPNineVoiceOne" \PartPNineVoiceOneLyrics
          >>
        >>
        %}
        %%{
        \new Staff <<
          \set Staff.instrumentName = "B2"
          \set Staff.shortInstrumentName = "B2"
          \set Staff.midiInstrument = #"clarinet"
          \context Staff <<
            \context Voice = "PartPOneZeroVoiceOne" { << \clef "bass" \global \PartPOneZeroVoiceOne >> }
            \new Lyrics \lyricsto "PartPOneZeroVoiceOne" \PartPOneZeroVoiceOneLyrics
          >>
        >>
        %}
      >>

    >>
    %%{

    \layout {}
    % To create MIDI output, uncomment the following line:
    \midi {
      \tempo 1 = 66
    }

  }

}

%{
convert-ly (GNU LilyPond) 2.18.2  convert-ly: Processing `'...
Applying conversion: 2.17.0, 2.17.4, 2.17.5, 2.17.6, 2.17.11, 2.17.14,
2.17.15, 2.17.18, 2.17.19, 2.17.20, 2.17.25, 2.17.27, 2.17.29,
2.17.97, 2.18.0
%}
