\version "2.18.0"

showMultiRests = {
  \set Staff.keepAliveInterfaces = #'(
                                      rhythmic-grob-interface
                                      multi-measure-rest-interface
                                      lyric-interface
                                      stanza-number-interface
                                      percent-repeat-interface)
}

hideMultiRests = \unset Staff.keepAliveInterfaces


\layout {
  \context {
    \Staff
    \consists "Ambitus_engraver"
    \override TimeSignature.style = #'mensural
    \RemoveEmptyStaves
    % remove the next line when 2.18 arrives
    \override ClefModifier.X-offset = #0.6
    %\set midiInstrument = #"clarinet"

  }
  \context {
    \Score
    % \override FootnoteItem.annotation-line = ##f

    \override NoteHead.style = #'baroque
    \override BarNumber.padding = #2
    \override BarNumber.self-alignment-X = #-1
    \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/4)
    \override Script.padding = #0.5
  }
  \context {
    \Lyrics
    \override LyricHyphen.minimum-distance = #0.33
    \override LyricHyphen.Y-extent = #'(-1 . 1)
    %\override LyricText.padding = #3
    %\override LyricText.extra-spacing-height = #'(2.0 . -3.0)
    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'((padding . 1.0))
    %\override LyricText.word-space = #'12
    %\override LyricText.font-size = #'6.0
  }
}


%{
convert-ly (GNU LilyPond) 2.18.2  convert-ly: Processing `'...
Applying conversion: 2.17.0, 2.17.4, 2.17.5, 2.17.6, 2.17.11, 2.17.14,
2.17.15, 2.17.18, 2.17.19, 2.17.20, 2.17.25, 2.17.27, 2.17.29,
2.17.97, 2.18.0
%}
